//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "MultimediaTimer"
#pragma resource "*.dfm"
TChronoForm *ChronoForm;
//---------------------------------------------------------------------------

__fastcall TChronoForm::TChronoForm(TComponent* Owner)
	: TForm(Owner)
{
	mStart = 0 ;
	mPassed = 0 ;
	mIndex = 1 ;
}
//---------------------------------------------------------------------------

void __fastcall TChronoForm::MultimediaTimer1Timer(TObject *Sender)
{
	mPassed	= GetTickCount() - mStart ;
	Label1->Caption = mPassed ;
	Bevel1->Width = mPassed % 150 ;
}
//---------------------------------------------------------------------------

void __fastcall TChronoForm::Button1Click(TObject *Sender)
{
	mLap = mPassed ;
	Memo1->Lines->Append( "Lap" + AnsiString(mIndex++) + ": " + AnsiString( mLap / 1000.0 ) + " Sec" ) ;
	MultimediaTimer2->Active = true ;
}
//---------------------------------------------------------------------------

void __fastcall TChronoForm::Button2Click(TObject *Sender)
{
	MultimediaTimer1->Active = ! MultimediaTimer1->Active ;
	mStart = GetTickCount() + mPassed - mStart ;
}
//---------------------------------------------------------------------------

void __fastcall TChronoForm::Button3Click(TObject *Sender)
{
	MultimediaTimer1->Active = false ;
	Memo1->Clear() ;
	Label1->Caption = "00.000" ;
	Label2->Visible = true ;
	Bevel1->Width = 150 ;
	mIndex = 1 ;
	mStart = 0 ;
	mPassed = 0 ;
}
//---------------------------------------------------------------------------

void __fastcall TChronoForm::MultimediaTimer2Timer(TObject *Sender)
{
	Label2->Visible = ! Label2->Visible ;
	MultimediaTimer2->Interval = 1500 - MultimediaTimer2->Interval ;
	if( Label2->Visible )
	{
		MultimediaTimer2->Active = MultimediaTimer1->Active ;
	}
	else
	{
		MultimediaTimer2->Active = true ;
	}
}
//---------------------------------------------------------------------------

void __fastcall TChronoForm::Help1Click(TObject *Sender)
{
	Application->HelpCommand(HELP_CONTENTS, 0);
}
//---------------------------------------------------------------------------

