//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "SortedStringGrid.h"
#include <ComCtrls.hpp>
#include <Grids.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ImgList.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TSortedStringGrid *SortedStringGrid1;
	TComboBox *ComboBox1;
	TLabel *Label1;
	TPopupMenu *PopupMenu1;
	TMenuItem *Weight;
	TMenuItem *Energy;
	TMenuItem *Protein;
	TMenuItem *Carbohydrate;
	TMenuItem *Fiber;
	TMenuItem *Fat;
	TMenuItem *Iron;
	TMenuItem *Calcium;
	TMenuItem *Phosphorus;
	TMenuItem *Potassium;
	TMenuItem *Sodium;
	TMenuItem *VitA;
	TMenuItem *VitB1;
	TMenuItem *VitB2;
	TMenuItem *Niacin;
	TMenuItem *VitC;
	TImageList *ImageList1;
	TMenuItem *N1;
	TMenuItem *Help1;
	void __fastcall ReadData();
	void __fastcall UpdateGrid(unsigned int aNormalizeIndex);
	void __fastcall ComboBox1Change(TObject *Sender);
	void __fastcall NutrientsClick(TObject *Sender);
	void __fastcall SortedStringGrid1KeyUp(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall SortedStringGrid1DrawCell(TObject *Sender, int ACol,
          int ARow, TRect &Rect, TGridDrawState State);
	void __fastcall SortedStringGrid1CustomCompare(TComponent *Sender,
          AnsiString String1, int ColumnIndex1, int RowIndex1,
          AnsiString String2, int ColumnIndex2, int RowIndex2,
          int &Result);
	void __fastcall Help1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
				__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
