//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "DigitDetector.h"
#include <Dialogs.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TDetectForm : public TForm
{
__published:	// IDE-managed Components
	TDigitDetector *DigitDetector1;
	TOpenDialog *OpenDialog1;
	TMainMenu *MainMenu1;
	TMenuItem *open1;
	TMemo *Memo1;
	TMenuItem *Help1;
	void __fastcall open1Click(TObject *Sender);
	void __fastcall DigitDetector1DoSupplyBuffer(TComponent *Sender,
          short *&Buffer, int &Length, bool &IsLastBuffer, int Position);
	void __fastcall DigitDetector1DigitDetected(TComponent *Sender,
          char Digit, unsigned TimeTicks, bool IsDTMF);
	void __fastcall DigitDetector1DetectionEnd(TObject *Sender);
	void __fastcall Help1Click(TObject *Sender);


private:	// User declarations
	TFileStream *mFile ;
	short int *mSampleBuffer ;
	bool mDetecting ;
	AnsiString mDialedNumber ;


public:		// User declarations
	__fastcall TDetectForm(TComponent* Owner);
	__fastcall ~TDetectForm();
};
//---------------------------------------------------------------------------
extern PACKAGE TDetectForm *DetectForm;
//---------------------------------------------------------------------------
#endif
