//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "SortedStringGrid.h"
#include <Grids.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TSortedGridForm : public TForm
{
__published:	// IDE-managed Components
	TSortedStringGrid *SortedStringGrid1;
	TCheckBox *CheckBox1;
	TRadioGroup *RadioGroup1;
	TColorDialog *ColorDialog1;
	TButton *Button1;
	TButton *Button2;
	TFontDialog *FontDialog1;
	TButton *Button3;
	TButton *Button4;
	TPopupMenu *PopupMenu1;
	TMenuItem *H1;
	void __fastcall SortedStringGrid1CustomCompare(TComponent *Sender,
          AnsiString String1, int ColumnIndex1, int RowIndex1,
          AnsiString String2, int ColumnIndex2, int RowIndex2,
          int &Result);
	void __fastcall SortedStringGrid1SelectColumn(TComponent *Sender,
          int Index, bool &CanProceed);
	void __fastcall SortedStringGrid1MouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
	void __fastcall SortedStringGrid1SortRows(TComponent *Sender, int Index,
          TGridSortEventType EventType, bool &CanProceed);
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall Button2Click(TObject *Sender);
	void __fastcall Button4Click(TObject *Sender);
	void __fastcall Button3Click(TObject *Sender);
	void __fastcall H1Click(TObject *Sender);
private:	// User declarations


public:		// User declarations
	__fastcall TSortedGridForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TSortedGridForm *SortedGridForm;
//---------------------------------------------------------------------------
#endif
